Hooks:PostHook( WeaponFactoryTweakData, "init", "AR-CInit", function(self)
	local custom_weapon_id = "wpn_fps_ass_fcarc"
	local stance_base_id = "wpn_fps_ass_m16"
	local uses_sights = {"wpn_fps_upg_o_specter","wpn_fps_upg_o_aimpoint","wpn_fps_upg_o_fc1","wpn_fps_upg_o_docter","wpn_fps_upg_o_eotech","wpn_fps_upg_o_t1micro","wpn_fps_upg_o_cmore","wpn_fps_upg_o_aimpoint_2","wpn_fps_upg_o_acog","wpn_fps_upg_o_eotech_xps","wpn_fps_upg_o_reflex","wpn_fps_upg_o_rx01","wpn_fps_upg_o_rx30","wpn_fps_upg_o_cs", "wpn_fps_upg_o_spot","wpn_fps_upg_o_xpsg33_magnifier", "wpn_fps_upg_o_sig","wpn_fps_upg_o_bmg","wpn_fps_upg_o_uh","wpn_fps_upg_o_fc1"}
	for _, sight_id in pairs(uses_sights) do
		if self.parts[sight_id].stance_mod[stance_base_id] then
			self.parts[sight_id].stance_mod[custom_weapon_id] = deep_clone(self.parts[sight_id].stance_mod[stance_base_id])
		else
			log("[ERROR] " .. custom_weapon_id .. " Missing stance_mod data for: " .. sight_id, stance_base_id)
		end
end
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.96),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.95),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.95),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_fc1.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.95),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 4, -0.95),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.95),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.92),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, -3, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, -4, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_tf90.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.85),rotation = Rotation(0, 0, 0)}
	self.parts.wpn_fps_upg_o_uh.stance_mod.wpn_fps_ass_fcarc = {translation = Vector3(0, 0, -0.75),rotation = Rotation(0, 0, 0)}
	

	self.wpn_fps_ass_fcarc.adds = {
		wpn_fps_upg_o_specter = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_aimpoint = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_aimpoint_2 = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_docter = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_eotech = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_t1micro = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_cmore = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_acog = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_cs = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_eotech_xps = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_reflex = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_rx30 = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_rx01 = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_spot = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_tf90 = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_uh = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_fcl = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		},
		wpn_fps_upg_o_bmg = {
			"wpn_fps_ass_fcarc_o_flipups_down"
		}
	}

end )